package com.ssj.bean.weixin.libmy.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.math.BigDecimal;


@Entity
@Table(name="tb_lib_novip")
public class TbLibNovip extends BaseEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	/**
	 * user_appid varchar(36) not null,
	deposit INT not null,
	borrow_num int not null,
	borrow_day int not null,
	out_money decimal not null,
	 */
	private String userAppid;  //公众号appid
	private Integer deposit;	//押金deposit
	private Integer borrowNum;	//可以借书的数量
	private Integer borrowDay;	//可以借阅的天数
	private BigDecimal outMoney; //逾期每天需要付的逾期金额
	public String getUserAppid() {
		return userAppid;
	}
	public void setUserAppid(String userAppid) {
		this.userAppid = userAppid;
	}
	public Integer getDeposit() {
		return deposit;
	}
	public void setDeposit(Integer deposit) {
		this.deposit = deposit;
	}
	public Integer getBorrowNum() {
		return borrowNum;
	}
	public void setBorrowNum(Integer borrowNum) {
		this.borrowNum = borrowNum;
	}
	public Integer getBorrowDay() {
		return borrowDay;
	}
	public void setBorrowDay(Integer borrowDay) {
		this.borrowDay = borrowDay;
	}
	public BigDecimal getOutMoney() {
		return outMoney;
	}
	public void setOutMoney(BigDecimal outMoney) {
		this.outMoney = outMoney;
	}
	
	
}
